//#-hidden-code
/*
 Copyright (C) 2016 Skoogmusic Ltd. All Rights Reserved.
 See LICENSE.txt for this sample’s licensing information.
*/
//#-end-hidden-code
/*:
 # Choosing an instrument for Skoog
 **Goal:** Learn how to change your instrument sound.

 Now that you know how to change notes, let's find out how to change your sound. To change instrument we use the `setInstrument(.SynthType)`  function.
 
 Available instruments:

 * `.acid`
 * `.sineWave`
 * `.superSaw`
 * `.candyBee`
 * `.solarWind`
 * `.fmModulator`
 
 */
//#-hidden-code
import UIKit
import PlaygroundSupport
import CoreAudioKit
import SpriteKit
import SceneKit

PlaygroundSupport.PlaygroundPage.current.needsIndefiniteExecution = true

public class skoogContents: PlaygroundViewController {
    
    public var inst: SynthType = .sineWave
    func setup() {
        //Override default values
        showRipples = true
//#-end-hidden-code
//#-code-completion(everything, hide)
//#-code-completion(currentmodule, show)
//#-code-completion(identifier, show, inst)
//#-code-completion(identifier, show, acid, candyBee, fmModulator, sineWave, solarWind, superSaw)        
// Edit the instrument name below, then click 'Run My Code'        
setInstrument(/*#-editable-code */.candyBee/*#-end-editable-code*/)
//#-hidden-code
    }
}
let contents	=	skoogContents()
contents.setup()
PlaygroundPage.current.liveView = contents
//#-end-hidden-code

/*:
 * [Next topic](@next)
 * [Learn more about Skoog](http://www.skoogmusic.com)
 */
