//#-hidden-code
/*
 Copyright (C) 2016 Skoogmusic Ltd. All Rights Reserved.
 See LICENSE.txt for this sample’s licensing information.
 
*/
//#-end-hidden-code
/*:
 # Build a basic instrument
 **Goal**  - Use what you have learned so far to build your own instrument.
 
 This is your blank canvas: choose your notes, instrument, set up your display and maybe try out a few new tricks too... Refer back to previous pages if you have to, and have fun!
 */
//#-hidden-code


import UIKit
import PlaygroundSupport
import CoreAudioKit
import SpriteKit
import SceneKit

PlaygroundSupport.PlaygroundPage.current.needsIndefiniteExecution = true

public class skoogContents: PlaygroundViewController {
    public var inst: SynthType = .sineWave

func setup() {

//#-end-hidden-code
//#-code-completion(everything, hide)
//#-code-completion(identifier, show, setInstrument(_:), Instrument.type, ., name, true, false, acid, candyBee, fmModulator, sineWave, solarWind, superSaw, ., showRipples, changeAlpha, growCircle, playNotes, changeColor, showPressLabels, showSqueezeLabel)
//#-code-completion(literal, show, boolean, color)
//#-code-completion(keyword, show, for, if, let, var, while)
// Choose your MIDI notes
setNotes(red:    /*#-editable-code */<#T##MIDI number##Int#>/*#-end-editable-code*/,
         blue:   /*#-editable-code */<#T##MIDI number##Int#>/*#-end-editable-code*/,
         yellow: /*#-editable-code */<#T##MIDI number##Int#>/*#-end-editable-code*/,
         green:  /*#-editable-code */<#T##MIDI number##Int#>/*#-end-editable-code*/,
         orange: /*#-editable-code */<#T##MIDI number##Int#>/*#-end-editable-code*/)

// Choose an instrument - remember to add the `.` at the start!
setInstrument(/*#-editable-code */<#T##Instrument Type##Instrument.type#>/*#-end-editable-code*/)

// Set up your display
growCircle  = /*#-editable-code */<#T##true or false##boolean#>/*#-end-editable-code*/
changeAlpha = /*#-editable-code */<#T##true or false##boolean#>/*#-end-editable-code*/
showRipples = /*#-editable-code */<#T##true or false##boolean#>/*#-end-editable-code*/

//#-editable-code tap to edit    
// Some new variables to play with... can you figure out what do they do?
playNotes        = true
changeColor      = true
showPressLabels  = false
showSqueezeLabel = true
//#-end-editable-code
//#-hidden-code
}
	public override func peak(side: Side, peak: Double) {
		super.peak(side: side, peak: peak)
	}
	public override func continuous(side: Side) {
		super.continuous(side:side)
	}
}
let contents	=	skoogContents()
contents.setup()
PlaygroundPage.current.liveView = contents
//#-end-hidden-code
/*:
 * [Next topic](@next)
 * [Learn more about Skoog](http://www.skoogmusic.com)
 */

