//#-hidden-code
//
//  Contents.swift
//
//  Copyright (c) 2016 Apple Inc. All Rights Reserved.
//
//#-end-hidden-code
/*:
 # Press to make ripples!
**Goal** - Create colored ripples when your Skoog is pressed.

You will have already noticed that when you quickly strike or press your Skoog it plays a note.  This is an example of a press being used to trigger an audio event.  
 
 We can trigger some pretty cool visual events too.  To trigger an expanding circle in the liveView we can use the `rippleOn()` function.  This helper function simply sets the `showRipples` property to 'true', telling the playground to ripple every time it is pressed.

 1. Compare the rippleOn() function the showRipples property.  Notice any difference?
 2. How does pressing a different side affect the ripple?
 3. What effect does pressing harder have on the size of the ripple?

 **Tip** Try using the `hideCircle()` function to hide the white circle and show ripples only.
*/
//#-hidden-code

import UIKit

import PlaygroundSupport
import CoreAudioKit
import SpriteKit
import SceneKit

PlaygroundSupport.PlaygroundPage.current.needsIndefiniteExecution = true

public class skoogContents: PlaygroundViewController {
	func setup() {
//#-end-hidden-code
//#-code-completion(everything, hide)
//#-code-completion(identifier, show, rippleOn(), hideCircle(), showRipples, true, false, ==, !=)
//#-code-completion(literal, show, boolean, color)
//#-editable-code tap to edit
//#-end-editable-code
//#-hidden-code
	}
}
let contents	=	skoogContents()
contents.setup()
PlaygroundPage.current.liveView = contents
//#-end-hidden-code
/*:
 * [Next topic](@next)
 * [Learn more about Skoog](http://www.skoogmusic.com)
 */
