//#-hidden-code
/*
 Copyright (C) 2016 Skoogmusic Ltd. All Rights Reserved.
 See LICENSE.txt for this sample’s licensing information.
 
*/
//#-end-hidden-code
/*:
 # Changing the ripple size
**Goal:** Learn how to customise the size of your ripples

Ok, so now that you know how to change the color, let's find out how to change the size and speed of our ripples.

1. Use the `strength` of your Skoog press to set the ripple size.
2. Can you set the starting size of the ripples to be twice the strength of each press?
3. What happens when you set the size of the ripple to a fixed value?
5. How does the `time` parameter affect the ripple?
 
**Challenge:** Can you make a variable that counts your presses and use this to slow down the ripples with each press?
*/
//#-hidden-code
import UIKit
import PlaygroundSupport
import CoreAudioKit
import SpriteKit
import SceneKit

PlaygroundSupport.PlaygroundPage.current.needsIndefiniteExecution = true

public class skoogContents: PlaygroundViewController {
func setup() {
    setInstrument(.candyBee)
}
//#-end-hidden-code
//#-code-completion(everything, hide)
//#-code-completion(identifier, show, ripple(color:size:time:), side, strength, time, color, size, :, ., *, /, +, -, acid, candyBee, fmModulator, sineWave, solarWind, superSaw)
//#-code-completion(literal, show, boolean, color)
//#-code-completion(keyword, show, for, if, let, var, while)
//#-editable-code initialise your challenge code here
//#-end-editable-code
func press(side: Side, strength: Double) {
//#-editable-code tap to edit
ripple(size: strength)
//#-end-editable-code
}
//#-hidden-code
    public override func peak(side: Side, peak: Double) {
        super.peak(side: side, peak: peak)
        press(side: side, strength: peak)
    }
}

let contents	=	skoogContents()
contents.setup()
PlaygroundPage.current.liveView = contents
//#-end-hidden-code
/*:
 * [Next topic](@next)
 * [Learn more about Skoog](http://www.skoogmusic.com)
 */
